Summary: Library for handling different graphics files.
Name: libgr
Version: 2.0.9
Release: 7
Copyright: distributable
Group: Libraries
Source0: ftp.ctd.comsat.com:/pub/linux/ELF/libgr-2.0.9.tar.gz
Source1: jpeg-to-pnm.fpi
Patch: libgr-config.patch
Patch1: libgr-2.0.9-glibc.patch
BuildRoot: /tmp/libgr-root

%description
This package is a library for handling various graphics file formats,
including FBM, JPEG, PBM, PGM, PNM, PPM, REL, and TIFF.

%package devel
Summary: headers and static libraries developing programs using libgr
Group: Development/Libraries
%description devel
This package is all you need to develop programs that handle the various
graphics file formats supported by libgr.

%package progs
Summary: libgr utility programs
Group: Applications/Graphics
%description progs
This package includes various utility programs for manipulating JPEG files
for use by libgr programs.

%prep
%setup
%patch0 -p1
%patch1 -p1
(cd tiff; ln -s ../jpeg/ .)

%build

SHARED=shared

make SHARED=$SHARED everything

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/bin

make prefix=$RPM_BUILD_ROOT/usr install_everything

# (cd jpeg ; make SHARED=$SHARED install ; make install-headers )
# (cd tiff; install -m 644 -o 0 -g 0 tiff.h /usr/include)
# (cd tiff; install -m 644 -o 0 -g 0 tiffio.h /usr/include)
strip $RPM_BUILD_ROOT/usr/bin/*

ln -sf libjpeg.so.6.0.1 $RPM_BUILD_ROOT/usr/lib/libjpeg.so
ln -sf libfbm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/libfbm.so
ln -sf libpbm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/libpbm.so
ln -sf libpgm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/libpgm.so
ln -sf libpnm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/libpnm.so
ln -sf libppm.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/libppm.so
ln -sf librle.so.1.0.0 $RPM_BUILD_ROOT/usr/lib/librle.so
ln -sf libtiff.so.3.4.28 $RPM_BUILD_ROOT/usr/lib/libtiff.so

mkdir -p $RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters
install -m755 $RPM_SOURCE_DIR/jpeg-to-pnm.fpi \
	$RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters

/sbin/ldconfig

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/libjpeg.so.6.0.1
/usr/lib/libfbm.so.1.0.0
/usr/lib/libpbm.so.1.0.0
/usr/lib/libpgm.so.1.0.0
/usr/lib/libpnm.so.1.0.0
/usr/lib/libppm.so.1.0.0
/usr/lib/librle.so.1.0.0
/usr/lib/libtiff.so.3.4.28

%files devel

/usr/include/fbm.h
/usr/include/rle.h
/usr/include/pbm.h
/usr/include/rle_config.h
/usr/include/pbmplus.h
/usr/include/pnm.h
/usr/include/pgm.h
/usr/include/ppm.h
/usr/include/jconfig.h
/usr/include/jpeglib.h
/usr/include/jmorecfg.h
/usr/include/jerror.h
/usr/include/tiff.h
/usr/include/tiffio.h

/usr/lib/libjpeg.a
/usr/lib/libfbm.a
/usr/lib/libpbm.a
/usr/lib/libpgm.a
/usr/lib/libpnm.a
/usr/lib/libppm.a
/usr/lib/librle.a
/usr/lib/libtiff.a

/usr/lib/libjpeg.so
/usr/lib/libfbm.so
/usr/lib/libpbm.so
/usr/lib/libpgm.so
/usr/lib/libpnm.so
/usr/lib/libppm.so
/usr/lib/librle.so
/usr/lib/libtiff.so
/usr/man/man3/*.3

%files progs
/usr/lib/rhs/rhs-printfilters/jpeg-to-pnm.fpi
/usr/man/man1/*.1
/usr/bin/*
